Issue 119965 - [From Symphony] Picture missing when saving ODP file
[From Symphony] Picture missing when saving ODP file
Status: CLOSED FIXED
Product: Impress
Classification: Application
Component: save-export
3.4.0
PC All
: P3 normal (vote)
: 4.0.0
Assigned To: Andre
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 09:47 UTC by Steve Yin
Modified: 2012-12-26 08:46 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Fix patch for this issue (534 bytes, patch)
2012-06-13 05:49 UTC, Steve Yin
steve.yin.aoo: review?
Details | Diff
Black background is displayed (344.37 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2012-06-13 16:15 UTC, sumitkalra
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Steve Yin 2012-06-12 09:47:13 UTC
Steps:
1.New a Presentation document
2.Set a picture as the page background.
3.Go to the system temperate folder
	For MAC, it may be "/private/var/folders/.../-Tmp-/sv*.tmp/"
	For Windows, it may be "C:\Documents and Settings\{current user}\Local Settings\Temp\sv*.tmp\"
4.Find the picture which set as background, delete it.
	(Though the files in the temperate folder are with the extension *.tmp, you could view the files as a picture by a picture review tool, such as ACDSee)
5.Save the ODP file, and reopen it.

Issue: On Mac, the background show colorful like ranbow.
	On Windows, the back ground show black.
Comment 1 MMellor 2012-06-13 05:03:09 UTC
Mary Mellor 2012/06/13 - I was unable to reproduce the error. I was using OpenOffice 3.4.0 Build 9590 Rev 1325589

System Information:
OS: Windows 7 Home Premium
Laptop: Acer Aspire 5517
Processor: AMD Atlon(tm) X2 Dual Core Processor l310 1.2 GHz
System Type: 64-bit Operating System

Steps to reproduce:
1) Open a new blank document in OpenOffice 3.4.0
2) From the menu at the top of the page click Format -> Area. The Area pop up window will open.
3) Click the Bitmaps tab. On this tab click the Import button. Search for the picture you would like to import and click the Open button. The Name popup window will open.
4) Fill in the name and click the OK button. The Name window will close.
5) Close the Area window.
6) From the menu at the top of the page click Format -> Page. The Page Setup pop up window will open.
7) click the Background tab and select the picture you just added and click the OK button. A new popup will ask if you want this to be for all pages. Click Yes or No button.
8) Open windows Explorer and search for sv*.tmp.  I found mine in C:\Users\{username}\AppData\Local\Temp\

Actual Results:
When I tried to delete the file I received an error that said the file was in use and the system would not delete the tmp file.  I then saved my presentation document and closed OpenOffice. This deleted the tmp files.  I then reopened the presentation I created and it displayed the background successfully. I saved the presentation as a ppt file and was able to successfully open it in MS PowerPoint 2007
Comment 2 Steve Yin 2012-06-13 05:22:11 UTC
Hi Mary,

Could you please provide your user privilege? I just tried it again and delete the *.tmp file successfully. Thanks.
Comment 3 Steve Yin 2012-06-13 05:49:40 UTC
Created attachment 78279 [details]
Fix patch for this issue

Please help to review the patch
Comment 4 Andre 2012-06-13 08:10:43 UTC
Reviewing.
Comment 5 Andre 2012-06-13 09:04:04 UTC
I was able to reproduce the problem on Windows.
Patch looks good.  Applied.  SVN revision is 1349689.
Comment 6 sumitkalra 2012-06-13 16:14:43 UTC
(In reply to comment #1)
Hi Mary,

I am able to replicate the bug.

I am using OpenOffice 3.4.0 Build 9590 Rev 1325589

System Information:
OS: Windows Vista Home Premium
Laptop: Dell Inspiron 1525
Processor: Intel Core 2 Duo CPU T7250 @ 2.00 GHz
System Type: 32-bit Operating System



Steps to reproduce:
1) Open a new blank document in OpenOffice 3.4.0
2) From the menu at the top of the page click Format -> Area. The Area pop up window will open.
3) Click the Bitmaps tab. On this tab click the Import button. Search for the picture you would like to import and click the Open button. The Name popup window will open.
4) Fill in the name and click the OK button. The Name window will close.
5) Area window-> Click on Close.

[Note: Do not save the odp after adding bitmap]

6) Go to C:\Users\{username}\AppData\Local\Temp\
7) Open Folder sv**.tmp

8) Shift+Delete all files

[You will get a popup "File in use.." for on file. ]

9) File in Use popup-> Select "Do this for all current items" and click Skip

10) Now close the unsaved .odp file. It will ask to save. 

11) Save the .odp to your desired location and open it again.


Actual result: After opening the .odp, black backround is displayed.
Expected result: Black background should not be displayed.

See attachment.
Comment 7 sumitkalra 2012-06-13 16:15:58 UTC
Created attachment 78295 [details]
Black background is displayed
Comment 8 sumitkalra 2012-06-13 16:16:20 UTC
(In reply to comment #1)

I believe this should appear in Windows 7 as well.
Comment 9 liuping 2012-06-21 08:58:46 UTC
confirm fixing the bug on ver 1351249 in Win7 and on Mac,pass